Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# bit_aligned_image_type Struct Template Reference
[packed_image_type,bit_aligned_image_type]

`#include <metafunctions.hpp>`

List of all members.

## Detailed Description

### template<typename ChannelBitSizeVector, typename Layout, typename Alloc = std::allocator<unsigned char>>
struct boost::gil::bit_aligned_image_type< ChannelBitSizeVector, Layout, Alloc >

Returns the type of a packed image whose pixels may not be byte aligned. For example, an "rgb222" image is bit-aligned because its pixel spans six bits.

Note that the alignment parameter in the constructor of bit-aligned images is in bit units. For example, if you want to construct a bit-aligned image whose rows are byte-aligned, use 8 as the alignment parameter, not 1.

## Public Types

typedef image < bit_alignedref_t, false, Alloc > | type

The documentation for this struct was generated from the following file:

- metafunctions.hpp